import { Text } from 'ink';
import { Box } from 'ink';
import React from 'react';
import { FilePath } from '@monstrs/cli-ui-file-path';
import { Line } from '@monstrs/cli-ui-line';
import { SourcePreview } from '@monstrs/cli-ui-source-preview';
export const LintResultMessage = ({ filePath, message, source, }) => (React.createElement(Box, { flexDirection: 'column', borderStyle: 'round', borderColor: 'gray', width: '100%' },
    React.createElement(Box, { marginBottom: 1, marginTop: 1, marginX: 2 },
        React.createElement(Box, { flexDirection: 'row', flexGrow: 1 },
            React.createElement(FilePath, { line: message.line, column: message.column }, filePath)),
        React.createElement(Box, null,
            React.createElement(Text, { color: 'gray' },
                " ",
                message.ruleId))),
    React.createElement(Box, null,
        React.createElement(Line, { offset: 2 })),
    !!source && (React.createElement(React.Fragment, null,
        React.createElement(Box, { marginBottom: 1 },
            React.createElement(SourcePreview, { line: message.line, column: message.column }, source)),
        React.createElement(Line, { offset: 2 }))),
    React.createElement(Box, { marginBottom: 1, marginTop: 1, marginX: 2 },
        React.createElement(Text, { color: 'white' },
            " ",
            message.message))));
