import { isAbsolute } from 'node:path';
import { relative } from 'node:path';
import { Box } from 'ink';
import { nanoid } from 'nanoid';
import { useMemo } from 'react';
import React from 'react';
import { LintResultMessage } from "./lint-result-message.component.js";
export const LintResult = ({ filePath, source, messages, cwd = process.cwd(), }) => {
    const filepath = useMemo(() => {
        if (isAbsolute(filePath)) {
            return relative(cwd, filePath);
        }
        return filePath;
    }, [filePath]);
    if (messages.length === 0) {
        return null;
    }
    return (React.createElement(Box, { flexDirection: 'column', width: '100%' }, messages.map((message) => (React.createElement(LintResultMessage, { key: nanoid(), filePath: filepath, message: message, source: source })))));
};
